var red = '#f75e5e',
    blue = '#45a9ff',
    yellow = '#ffba34',
    green = '#46b6a0',
    lightGreen = '#68c654'


function Item(title, icon, bgColor, link) {
  this.title = title
  this.icon = icon
  this.bg = bgColor
  this.link = link ? link : ''
  return this
}

//党建考核
var djkh = [
  new Item('日常动态考核', '&#xe60f;', green, 'http://wzjgdj.cnvp.com/Home/Login?returnUrl=%2f'),
  new Item('年终督查评估', '&#xe72c;', red),
  new Item('年末考核评价', '&#xe65a;', blue)
]

//先锋讲堂
var xfkt = [
  new Item('理论武装', '&#xe612;', red),
  new Item('廉政基地', '&#xe639;', lightGreen),
  new Item('综合知识', '&#xe64d;', green)
]

//阅读分享
var ydfx = [
  new Item('阅读分享', '&#xe654;', yellow, '../news/bookList.html'),
  new Item('学习心得', '&#xe6d1;', red, '../news/readingList.html')
]

var newsClass = null

switch(SearchArgs['className']) {
  case '党建审核':
    newsClass = djkh
    break
  case '先锋讲堂':
    newsClass = xfkt
    break
  case '阅读分享':
    newsClass = ydfx
    break
}

var vm = new Vue({
  el: '#news-class',
  data: {
    className: SearchArgs['className'],
    newsClass: newsClass
  }
})

mui.plusReady(function() {
  initPage()
})
